Page MenuHomePhabricator

Turn on consumer that produces to kafka again
Closed, InvalidPublic

Description

While doing experiments with kafka (adding third broker etc), the
EventLogging consumer that produces to kafka could not properly connect to
kafka, and failed.

As the Icinga monitoring picked that issue up and alerted about it,
EventLogging's consumer that produces to kafka has been turned off in

https://gerrit.wikimedia.org/r/#/c/139101/

.

Once the kafka setup has been tested and is solid again, let's turn on the
EventLogging consumer again that produces to kafka.


Version: unspecified
Severity: enhancement

Details

Reference
bz66528

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:22 AM
bzimport set Reference to bz66528.
bzimport added a subscriber: Unknown Object (MLST).
QChris created this task.Jun 12 2014, 2:33 PM

Do we currently use this data for anything? If not, I'm inclined to not prioritize this highly until we need it.

I am not aware of any current use of the EventLogging data that gets/got fed
into Kafka.

Let's defer this until we do. Too much going on. Putting into backlog.

Just to ease turning it on again, the commit that turned it off is at:

https://gerrit.wikimedia.org/r/#/c/139101/
QChris removed a subscriber: QChris.Apr 16 2015, 10:49 PM
Ottomata closed this task as Invalid.Mar 28 2017, 5:53 PM
Ottomata added a subscriber: Ottomata.

Old!

Restricted Application added a project: Analytics. · View Herald TranscriptMar 28 2017, 5:53 PM